import 'package:contentsquare/contentsquare.dart';
import 'package:contentsquare_example/src/get_user_id.dart';
import 'package:contentsquare_example/src/opt_in_out_widget.dart';
import 'package:contentsquare_example/src/screengraph_widget.dart';
import 'package:contentsquare_example/src/send_dynamic_var_widget.dart';
import 'package:contentsquare_example/src/send_transaction_widget.dart';
import 'package:contentsquare_example/src/send_widget.dart';
import 'package:contentsquare_example/src/tracking_widget.dart';
import 'package:flutter/material.dart';
import 'package:flutter_driver/driver_extension.dart';
import 'package:webview_flutter/webview_flutter.dart';

void main() {
  enableFlutterDriverExtension();
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String? error;

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return ContentsquareRoot(
      child: MaterialApp(
        home: DefaultTabController(
          length: 2,
          child: Scaffold(
            appBar: AppBar(
              title: const Text('Contentsquare example app'),
              bottom: const TabBar(
                tabs: [
                  Tab(icon: Icon(Icons.list)),
                  Tab(icon: Icon(Icons.web_asset)),
                ],
              ),
            ),
            body: TabBarView(
              physics: NeverScrollableScrollPhysics(),
              children: [
                Column(
                  crossAxisAlignment: CrossAxisAlignment.center,
                  children: [
                    OptInOutWidget(),
                    SendWidget(),
                    SendTransactionWidget(),
                    SendDynamicVarWidget(),
                    TrackingWidget(),
                    GetUserIdWidget(),
                    ScreengraphWidget()
                  ],
                ),
                const WebView(initialUrl: 'https://flutter.dev')
              ],
            ),
          ),
        ),
      ),
    );
  }
}
