import 'package:contentsquare/contentsquare.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

class GetUserIdWidget extends StatefulWidget {
  @override
  _GetUserIdWidgetState createState() => _GetUserIdWidgetState();
}

class _GetUserIdWidgetState extends State<GetUserIdWidget> {
  String? userId;

  void getUserId() async {
    try {
      final _userId = await Contentsquare().getUserId();
      setState(() {
        userId = _userId;
      });
    } on PlatformException catch (e) {
      if (e.message != null) {
        ScaffoldMessenger.of(context)
            .showSnackBar(SnackBar(content: Text(e.message!)));
      }
    }
  }

  @override
  Widget build(BuildContext context) {
    return Column(children: [
      ElevatedButton(
        onPressed: getUserId,
        child: Text('Get user id'),
      ),
      if (userId != null) Text('User id: $userId')
    ]);
  }
}
