
import 'package:flutter/material.dart';

class RecyclableItemWidget extends StatelessWidget {

  final int index;

  RecyclableItemWidget(this.index);

  @override
  Widget build(BuildContext context) {
    return ListTile(
      leading: Container(
        margin: EdgeInsets.all(4),
        alignment: Alignment.center,
        width: 80,
        height: 80,
        color: Colors.red,
        child: Text('$index', style: TextStyle(color: Colors.white),),
      ),
      title: Text('Item $index'),
    );
  }
}

final _gridDelegate = SliverGridDelegateWithFixedCrossAxisCount(
  crossAxisCount: 2,
  mainAxisSpacing: 15,
  crossAxisSpacing: 15,
);

Widget buildGridView(int count) {
  return GridView.builder(
    itemBuilder: (context, index) {
      return RecyclableItemWidget(index);
    },
    itemCount: count,
    gridDelegate: _gridDelegate,
  );
}

Widget buildListView(int count) {
  return ListView.builder(
    itemBuilder: (context, index) {
      return RecyclableItemWidget(index);
    },
    itemCount: count,);
}

Widget buildSliverGrid(int count) {
  final sliverDelegate = SliverChildBuilderDelegate((context, index) {
    return RecyclableItemWidget(index);
  },  childCount: count);
  return SliverGrid(
      delegate: sliverDelegate,
      gridDelegate: _gridDelegate
  );
}

Widget buildSliverList(int count) {
  return SliverList(delegate: SliverChildBuilderDelegate((context, index) {
    return RecyclableItemWidget(index);
  }, childCount: 200));
}