import 'package:contentsquare/contentsquare.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

class SendDynamicVarWidget extends StatelessWidget {
  Future<void> sendDynamicVar(BuildContext context,
      {String? stringValue, int? intValue}) async {
    try {
      await Contentsquare().sendDynamicVar('my key 1',
          stringValue: stringValue, intValue: intValue);
    } on PlatformException catch (e) {
      if (e.message != null) {
        ScaffoldMessenger.of(context)
            .showSnackBar(SnackBar(content: Text(e.message!)));
      }
    }
  }

  @override
  Widget build(BuildContext context) {
    return Row(mainAxisAlignment: MainAxisAlignment.spaceEvenly, children: [
      ElevatedButton(
        onPressed: () => sendDynamicVar(context, intValue: 10),
        child: Text('Send a number'),
      ),
      ElevatedButton(
        onPressed: () => sendDynamicVar(context, stringValue: 'my value'),
        child: Text('Send a string'),
      )
    ]);
  }
}
