import 'package:contentsquare/src/modules/screengraph/screengraph_utils.dart';
import 'package:flutter/material.dart';
import 'package:flutter_test/flutter_test.dart';

class MockPublicWidget extends StatelessWidget {
  const MockPublicWidget({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container();
  }
}

void main() {

  group('trimGenericParams', () {
    test('should return the given ClassName if it has no generic params', () {
      expect(trimGenericParams('Container'), 'Container');
    });

    test('should return the geiven ClassName without the generic params', () {
      expect(trimGenericParams('NotificationListener<ScrollNotification>'),
          'NotificationListener');
      expect(
          trimGenericParams('BlocListener<BlocA, BlocAState>'), 'BlocListener');
      expect(
          trimGenericParams('MyWidget<MyNestedWidget<MyParam>>'), 'MyWidget');
    });
  });
}
